Package org.bgerp.dao.expression

# Class ParamExpressionObject

java.lang.Object
org.bgerp.dao.expression.ParamExpressionObject

All Implemented Interfaces:
  `ExpressionObject`

Direct Known Subclasses:
  `ProcessParamExpressionObject`, `UserParamExpressionObject`

public class ParamExpressionObject extends Object implements ExpressionObject
Expression object for retrieving object parameter values

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamExpressionObject(Connection con, int objectId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `addressAreaIds(int paramId)`
  Selects set with area IDs of parameter with type `address`
  `Set<Integer>`
  `addressCityIds(int paramId)`
  Selects set with city IDs of parameter with type `address`
  `Set<Integer>`
  `addressQuarterIds(int paramId)`
  Selects set with quarter IDs of parameter with type `address`
  `Set<Integer>`
  `addressStreetIds(int paramId)`
  Selects set with street IDs of parameter with type `address`
  `List<String>`
  `addressValues(int paramId)`
  Deprecated.
  `List<String>`
  `addressValues(int paramId, String formatName)`
  Возвращает список строк со значениями адресного параметра, формат указан.
  `protected Collection<ParameterAddressValue>`
  `getParamAddressValues(int paramId, String formatName)`
  `Date`
  `getParamDate(int paramId)`
  Deprecated.
  `Date`
  `getParamDateTime(int paramId)`
  Deprecated.
  `String`
  `getParamPhoneNoFormat(int paramId)`
  Deprecated.
  `String`
  `getParamText(int paramId)`
  Deprecated.
  `String`
  `getValue(int paramId)`
  Selects parameter values for the current object.
  `Set<Integer>`
  `listValueIds(int paramId)`
  Selects value IDs of `list` and `listcount` parameter types
  `Set<String>`
  `listValueTitles(int paramId)`
  Deprecated.
  `void`
  `toContext(Map<String,Object> context)`
  `String`
  `val(int paramId)`
  Selects parameter values for the current object.
  `Object`
  `val(int paramId, String format)`
  Selects parameter values for the current object

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamExpressionObject

    public ParamExpressionObject(Connection con, int objectId)

- ## Method Details

  - ### toContext

    public void toContext(Map<String,Object> context)
    Specified by:
      `toContext` in interface `ExpressionObject`

  - ### addressValues

    public List<String> addressValues(int paramId, String formatName)
    Возвращает список строк со значениями адресного параметра, формат указан.
    Parameters:
      `paramId` - the parameter ID
    Returns:

  - ### addressCityIds

    public Set<Integer> addressCityIds(int paramId)
    Selects set with city IDs of parameter with type `address`
    Parameters:
      `paramId` - the parameter ID
    Returns:
      not `null` set of values

  - ### addressStreetIds

    public Set<Integer> addressStreetIds(int paramId)
    Selects set with street IDs of parameter with type `address`
    Parameters:
      `paramId` - the parameter ID
    Returns:
      not `null` set of values

  - ### addressQuarterIds

    public Set<Integer> addressQuarterIds(int paramId)
    Selects set with quarter IDs of parameter with type `address`
    Parameters:
      `paramId` - the parameter ID
    Returns:
      not `null` set of values

  - ### addressAreaIds

    public Set<Integer> addressAreaIds(int paramId)
    Selects set with area IDs of parameter with type `address`
    Parameters:
      `paramId` - the parameter ID
    Returns:
      not `null` set of values

  - ### getParamAddressValues

    protected Collection<ParameterAddressValue> getParamAddressValues(int paramId, String formatName)

  - ### listValueIds

    public Set<Integer> listValueIds(int paramId)
    Selects value IDs of `list` and `listcount` parameter types
    Parameters:
      `paramId` - the parameter ID
    Returns:
      not `null` set of values

  - ### val

    public Object val(int paramId, String format)
    Selects parameter values for the current object
    Parameters:
      `paramId` - the parameter ID
      `format` - optional format of the result:
      `nf` for param type `phone` returns
      invalid reference

          ParameterTypePhone

      object
    Returns:
      parameter's value, string if no is defined

  - ### val

    public String val(int paramId)
    Selects parameter values for the current object.
    Parameters:
      `paramId` - the parameter ID.
    Returns:
      string representation of the parameter value.

  - ### getValue

    public String getValue(int paramId)
    Selects parameter values for the current object.
    Parameters:
      `paramId` - the parameter ID.
    Returns:
      string representation of the parameter value.

  - ### addressValues

    @Deprecated public List<String> addressValues(int paramId)
    Deprecated.
    Use `ParamValueDAO.getParamAddress(int, int)`

  - ### listValueTitles

    @Deprecated public Set<String> listValueTitles(int paramId)
    Deprecated.
    Use `getValue(int)`

  - ### getParamText

    @Deprecated public String getParamText(int paramId) throws SQLException
    Deprecated.
    Use `ParamValueDAO.getParamText(int, int)`
    Throws:
      `SQLException`

  - ### getParamDate

    @Deprecated public Date getParamDate(int paramId) throws SQLException
    Deprecated.
    Use `ParamValueDAO.getParamDate(int, int)`.
    Throws:
      `SQLException`

  - ### getParamDateTime

    @Deprecated public Date getParamDateTime(int paramId) throws SQLException
    Deprecated.
    Use `ParamValueDAO.getParamDateTime(int, int)`.
    Throws:
      `SQLException`

  - ### getParamPhoneNoFormat

    @Deprecated public String getParamPhoneNoFormat(int paramId) throws SQLException
    Deprecated.
    Use `ParamValueDAO.getParamPhone(int, int)`.
    Throws:
      `SQLException`